function [celkovacena,cenalinek,cenauzlu] = CelCenaSpoje (BW, BWcel, jednotkaBW, pocetuzlu, cenaza1m, cenaza1b, BWpl, cenaza1pa, cenaza1pb, delka)

%urcen pro vypocet celkove ceny spoje slozene z ceny linky a uzlu
%pocet uzlu - celkovy pocet uzlu v grafu
%pocatek - vektor pocatecnich bodu spoju
%konec - vektor koncovych bodu spoju
%cenaza1pa - zadejte jednotkovou cenu za prepojeny paket
%cenaza1pb - zadejte jednotkovou cenu za pametovy blok
%delka - delka spoje, zadavejte v metrech
%cenaza1m, cenaza1b - zadejte jednotkovou cenu delky a kapacity
%jednotkaBW - Bps, Mbps, Gbps
%delka - delka spoje, zadavejte v metrech
%BWcel - celkova kapacita spoju do uzlu, zadavejte v Bps, Mbps, Gbps
%[celkovacena,cenalinek,cenauzlu] = CelCenaSpoje (BW, BWcel, jednotkaBW,pocetuzlu, cenaza1m, cenaza1b, BWpl, cenaza1pa, cenaza1pb, delka)

disp('******************PARAMETRY CELKOVE CENY*************************')


if nargin ~= 10
    error('Spatny pocet vstupu')
end

delkaDelka = length(delka);
delkaBW = length(BW');
delkaBWpl = length(BWpl');

if delkaDelka ~= delkaBW
    error('Pocet prvku vektoru pocatek, konec, delka a BW musi byt stejny')
elseif delkaBWpl ~= pocetuzlu
    error('Pocet prvku vektoru BWpl musi byt stejny jako pocet uzlu')
end

[cenalinky] = CenaLinky (delka, BW, jednotkaBW, cenaza1m, cenaza1b); %cena za linku
[cenapaketu, cenapambloku, cenacelkemuzlu] = CenaZaUzel (BWpl, BWcel ,cenaza1pa, cenaza1pb, jednotkaBW);% cena za uzly

cenalinek = cenalinky;
cenauzlu = cenacelkemuzlu;

sumaLinek = sum(cenalinky);
sumaUzlu = sum(cenacelkemuzlu);



celkovacena = sumaLinek + sumaUzlu;
disp(sprintf('Celkove naklady na spoje jsou: %9.9f',celkovacena));
    
end
